#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 microlens-platform
version:              0.4.2.1
visibility:           public
id:                   microlens-platform-0.4.2.1-8NDI5wCSaP1KiwizlNlmz4
key:                  microlens-platform-0.4.2.1-8NDI5wCSaP1KiwizlNlmz4
license:              BSD-3-Clause
maintainer:           Monadfix <hi@monadfix.com>
author:               Edward Kmett, Artyom Kazak
homepage:             http://github.com/monadfix/microlens
synopsis:             microlens + all batteries included (best for apps)
description:
    This package exports a module which is the recommended starting point for using <http://hackage.haskell.org/package/microlens microlens> if you aren'\''t trying to keep your dependencies minimal. By importing @Lens.Micro.Platform@ you get all functions and instances from <http://hackage.haskell.org/package/microlens microlens>, <http://hackage.haskell.org/package/microlens-th microlens-th>, <http://hackage.haskell.org/package/microlens-mtl microlens-mtl>, <http://hackage.haskell.org/package/microlens-ghc microlens-ghc>, as well as instances for @Vector@, @Text@, and @HashMap@.

    The minor and major versions of microlens-platform are incremented whenever the minor and major versions of any other microlens package are incremented, so you can depend on the exact version of microlens-platform without specifying the version of microlens (microlens-mtl, etc) you need.

    This package is a part of the <http://hackage.haskell.org/package/microlens microlens> family; see the readme <https://github.com/monadfix/microlens#readme on Github>.

category:             Data, Lenses
abi:                  b14c06718998628064e6a28d4dd71a11
exposed:              True
exposed-modules:      Lens.Micro.Platform Lens.Micro.Platform.Internal
import-dirs:          /usr/lib/ghc-9.0.2/site-local/microlens-platform-0.4.2.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/microlens-platform-0.4.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-microlens-platform
hs-libraries:         HSmicrolens-platform-0.4.2.1-8NDI5wCSaP1KiwizlNlmz4
depends:
    base-4.15.1.0 hashable-1.4.0.2-A7cEvE0oiq92I0kqqbT0NC
    microlens-0.4.12.0-1fJvmROd5lxEQCLdQ6LGgk
    microlens-ghc-0.4.13.1-H6yi7mmgyNm3qE9zHqp5ln
    microlens-mtl-0.2.0.1-HodO5uxSvp36cAcqpOnyRX
    microlens-th-0.4.3.10-CAAiPodk0tn9fh7vbCRi5r text-1.2.5.0
    unordered-containers-0.2.19.1-F6flbRdcGQH5ESgepmhKFP
    vector-0.12.3.1-35O4ef8MZDE9Y9qFX9F3Ug

haddock-interfaces:
    /usr/share/doc/haskell-microlens-platform/html/microlens-platform.haddock

haddock-html:         /usr/share/doc/haskell-microlens-platform/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

